@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;700&display=swap");
* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
}

a {
  text-decoration: none;
}

ul li {
  list-style: none;
}

body {
  width: 100vw;
  height: 100vh;
  background: #ccc;
}

header {
  width: 100%;
  height: 70px;
  background-color: #2f3542;
  position: fixed;
  display: flex;
  justify-content: space-around;
  align-items: center;
  user-select: none;
}

.logo {
  color: white;
  font-size: 25px;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-weight: 700;
}

.navbar ul li {
  position: relative;
  float: left;
}
.navbar ul li a {
  color: white;
  font-size: 20px;
  padding: 20px;
  display: block;
  transition: 0.3s;
}
.navbar ul li a:hover {
  background: #57606f;
}
.navbar ul li ul {
  position: absolute;
  background-color: white;
  width: 200px;
  display: none;
}
.navbar ul li ul li {
  width: 100%;
  border-top: 1px solid #ccc;
}
.navbar ul li ul li a {
  color: #333;
}
.navbar ul li ul li a:hover {
  color: #fff;
}
.navbar ul li ul li ul {
  left: 202px;
  top: 0;
}
.navbar ul li:hover > ul, .navbar ul li:focus-within > ul {
  display: block;
}

#toggle {
  display: none;
}

.btn {
  font-size: 30px;
  color: white;
  padding-top: 10px;
  cursor: pointer;
  display: none;
}

@media (max-width: 991px) {
  .navbar {
    position: absolute;
    top: 100%;
    background-color: #2f3542;
    left: 0;
    right: 0;
    border-top: 1px solid rgba(113, 120, 134, 0.7);
    transition: 0.2s;
    transform-origin: top;
    transform: scaleY(0);
  }
  .navbar ul li {
    width: 100%;
  }
  .navbar ul li ul {
    position: relative;
    width: 100%;
  }
  .navbar ul li ul li {
    background-color: #ccc;
  }
  .navbar ul li ul li ul {
    width: 100%;
    left: 0;
  }
  #toggle:checked ~ .navbar {
    transform: scaleY(1);
  }
  .btn {
    display: block;
  }
}
